globals

> Global identifiers from different JavaScript environments

Extracted from JSHint and ESLint and merged.

It's just a JSON file, so use it in whatever environment you like.

This module no longer accepts new environments. If you need it for ESLint, just create a plugin.

# Install

$ npm install globals

# Usage

const globals = require('globals');
console.log(globals.browser);
/*
{
addEventListener: false,
applicationCache: false,
ArrayBuffer: false,
atob: false,
...
}
*/

Each global is given a value of `true` or `false`. A value of `true` indicates that the variable may be overwritten. A value of `false` indicates that the variable should be considered read-only. This information is used by static analysis tools to flag incorrect behavior. We assume all variables should be `false` unless we hear otherwise.

# License

MIT © Sindre Sorhus